Log4j 1.2.7

## org.apache.log4j.helpers
Class RelativeTimeDateFormat

    java.lang.Object
      |
      +--java.text.Format
            |
            +--java.text.DateFormat
                  |
                  +--org.apache.log4j.helpers.RelativeTimeDateFormat

All Implemented Interfaces:
  Cloneable, Serializable

public class RelativeTimeDateFormat
extends DateFormat

Formats a `Date` by printing the number of milliseconds elapsed since the start of the application. This is the fastest printing DateFormat in the package.

Since:
  0.7.5
Author:
  Ceki Gülcü
See Also:
  Serialized Form

Field Summary
`protected long` `startTime`

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`RelativeTimeDateFormat()`

Method Summary
`StringBuffer` `format(Date date, StringBuffer sbuf, FieldPosition fieldPosition)` Appends to `sbuf` the number of milliseconds elapsed since the start of the application.
`Date` `parse(String s, ParsePosition pos)` This method does not do anything but return `null`.

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTime

    protected final long startTime

Constructor Detail

### RelativeTimeDateFormat

    public RelativeTimeDateFormat()

Method Detail

### format

    public StringBuffer format(Date date,
                               StringBuffer sbuf,
                               FieldPosition fieldPosition)

  Appends to `sbuf` the number of milliseconds elapsed since the start of the application.
  Overrides:
    `format` in class `DateFormat`
  Since:
    0.7.5

### parse

    public Date parse(String s,
                      ParsePosition pos)

  This method does not do anything but return `null`.
  Overrides:
    `parse` in class `DateFormat`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.